> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hckrt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an accessible program



## OpenAPI

````yaml /openapi/external-admin-v1.json get /programs/{id}
openapi: 3.0.3
info:
  title: Hackrate External Admin API
  version: v1
  description: >-
    Program discovery and report triage for users with assigned Hackrate roles.
    Tokens are created in Profile Settings > External API.
servers:
  - url: https://www.hckrt.com/api/v1/admin
security:
  - personalToken: []
paths:
  /programs/{id}:
    get:
      summary: Get an accessible program
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Program
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Program'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    Program:
      type: object
      properties:
        id:
          type: integer
        alias:
          type: string
        name:
          type: string
        description:
          type: string
        currency:
          type: string
        isActive:
          type: boolean
        isPaused:
          type: boolean
        isPublished:
          type: boolean
  responses:
    NotFound:
      description: Resource not found or outside the token owner's access
  securitySchemes:
    personalToken:
      type: http
      scheme: bearer
      bearerFormat: hckrt_pat token

````